## com.lowagie.text.pdf.parser
Class PdfContentStreamProcessor.MoveNextLineAndShowTextWithSpacing

    java.lang.Object
      com.lowagie.text.pdf.parser.PdfContentStreamProcessor.MoveNextLineAndShowTextWithSpacing

All Implemented Interfaces:
  ContentOperator

Enclosing class:
  PdfContentStreamProcessor

    private static class PdfContentStreamProcessor.MoveNextLineAndShowTextWithSpacing

extends Object
implements ContentOperator

A content operator implementation (").

Field Summary
`private PdfContentStreamProcessor.MoveNextLineAndShowText` `moveNextLineAndShowText`
`private PdfContentStreamProcessor.SetTextCharacterSpacing` `setTextCharacterSpacing`
`private PdfContentStreamProcessor.SetTextWordSpacing` `setTextWordSpacing`

Constructor Summary
`PdfContentStreamProcessor.MoveNextLineAndShowTextWithSpacing(PdfContentStreamProcessor.SetTextWordSpacing setTextWordSpacing, PdfContentStreamProcessor.SetTextCharacterSpacing setTextCharacterSpacing, PdfContentStreamProcessor.MoveNextLineAndShowText moveNextLineAndShowText)`

Method Summary
`void` `invoke(PdfContentStreamProcessor processor, PdfLiteral operator, ArrayList operands)` Invokes a content operator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### setTextWordSpacing

    private final PdfContentStreamProcessor.SetTextWordSpacing setTextWordSpacing

### setTextCharacterSpacing

    private final PdfContentStreamProcessor.SetTextCharacterSpacing setTextCharacterSpacing

### moveNextLineAndShowText

    private final PdfContentStreamProcessor.MoveNextLineAndShowText moveNextLineAndShowText

Constructor Detail

### PdfContentStreamProcessor.MoveNextLineAndShowTextWithSpacing

    public PdfContentStreamProcessor.MoveNextLineAndShowTextWithSpacing(PdfContentStreamProcessor.SetTextWordSpacing setTextWordSpacing,
                                                                        PdfContentStreamProcessor.SetTextCharacterSpacing setTextCharacterSpacing,
                                                                        PdfContentStreamProcessor.MoveNextLineAndShowText moveNextLineAndShowText)

Method Detail

### invoke

    public void invoke(PdfContentStreamProcessor processor,
                       PdfLiteral operator,
                       ArrayList operands)

  Description copied from interface: `ContentOperator`
  Invokes a content operator.

  Specified by:
    `invoke` in interface `ContentOperator`
  Parameters:
    `processor` - the processor that is dealing with the PDF content
    `operator` - the literal PDF syntax of the operator
    `operands` - the operands that come with the operator

Hosted by Hostbasket